package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicMonitoringAlertMethod {
    public static final String  ALL= "全部";
    public static final String  MESSAGE= "短信";
    public static final String SYSTEM_MESSAGE = "系统消息";

    private static DicMonitoringAlertMethod instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicMonitoringAlertMethod(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(ALL, ALL);
        dicMap.put(MESSAGE, MESSAGE);
        dicMap.put(SYSTEM_MESSAGE, SYSTEM_MESSAGE);
    }

    public static DicMonitoringAlertMethod getInstacne(){
        if (instance == null)
        {
            instance = new DicMonitoringAlertMethod();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
